Bug 1226316 - Enable lock elision on glibc for Fedora on POWER
Summary: Enable lock elision on glibc for Fedora on POWER
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 26
Hardware: ppc64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: glibc team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker 1289208 731835 F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-05-29 12:30 UTC by IBM Bug Proxy
Modified: 2018-05-03 08:34 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-03 08:34:33 UTC
jomiller: fedora_requires_release_note?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 125647 None None None Never
Red Hat Bugzilla 1383986 None None None Never

Internal Trackers: 1383986

Description IBM Bug Proxy 2015-05-29 12:30:15 UTC

Comment 1 IBM Bug Proxy 2015-05-29 12:30:17 UTC
Include ppc64 and ppc64le to the macro lock_elision_arches.

This will add the configure flag --enable-lock-elision.

It won't affect other architectures.

Comment 2 Carlos O'Donell 2015-05-29 14:47:45 UTC
We need to turn this on in rawhide first, setting to rawhide and we'll fix it there.

Comment 3 Jan Kurik 2015-07-15 14:05:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 IBM Bug Proxy 2015-07-15 14:51:21 UTC
------- Comment From tulioqm@br.ibm.com 2015-07-15 14:41 EDT-------
(In reply to comment #6)
> More information and reason for this action is here:
> https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

This link doesn't work.

Comment 5 Fedora End Of Life 2016-11-24 11:50:20 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Dan Horák 2016-12-07 13:50:31 UTC
Is still something blocking this?

Comment 7 IBM Bug Proxy 2016-12-07 15:21:05 UTC
------- Comment From sjmunroe@us.ibm.com 2016-12-07 10:12 EDT-------
Community issues, working it.

Comment 8 Carlos O'Donell 2016-12-07 16:16:59 UTC
Just thinking about this out-loud, and given some discussions with Intel, I think upstream needs to change the design:

* --enable-lock-elision turns on the _capability_ to use elision, but has it disabled.

* Individual applications enable elision using an env var e.g. FEDORA_GLIBC_TUNABLES='elision=1'; etc.

This requires some upstream work to invert the meaning, and would allow us to more easily roll this out knowing nobody would be impacted and elision would be opt-in for now. It doesn't mean we can't eventually make it opt-out as we have more experience with the deployment of the new feature.

Comment 9 Dan Horák 2016-12-07 16:21:01 UTC
(In reply to Carlos O'Donell from comment #8)
> Just thinking about this out-loud, and given some discussions with Intel, I
> think upstream needs to change the design:
> 
> * --enable-lock-elision turns on the _capability_ to use elision, but has it
> disabled.
> 
> * Individual applications enable elision using an env var e.g.
> FEDORA_GLIBC_TUNABLES='elision=1'; etc.

this would solve IBM request about env variable from bug 1383986, correct?
 
> This requires some upstream work to invert the meaning, and would allow us
> to more easily roll this out knowing nobody would be impacted and elision
> would be opt-in for now. It doesn't mean we can't eventually make it opt-out
> as we have more experience with the deployment of the new feature.

Comment 10 Carlos O'Donell 2016-12-07 16:22:22 UTC
(In reply to Dan Horák from comment #9)
> (In reply to Carlos O'Donell from comment #8)
> > Just thinking about this out-loud, and given some discussions with Intel, I
> > think upstream needs to change the design:
> > 
> > * --enable-lock-elision turns on the _capability_ to use elision, but has it
> > disabled.
> > 
> > * Individual applications enable elision using an env var e.g.
> > FEDORA_GLIBC_TUNABLES='elision=1'; etc.
> 
> this would solve IBM request about env variable from bug 1383986, correct?

Yes it would. We would use the distro prefix on the env var to make the point we're carrying a private set of tunables for Fedora (it's how we expect to parse per-distro tunables setup given user requirements).

Comment 11 Tulio Magno Quites Machado Filho 2016-12-19 15:29:05 UTC
(In reply to Carlos O'Donell from comment #8)
> This requires some upstream work to invert the meaning, and would allow us
> to more easily roll this out knowing nobody would be impacted and elision
> would be opt-in for now.

For the record, this patch has already been proposed: https://patchwork.sourceware.org/patch/8926/

It's waiting for the tunables framework inclusion in order to be integrated.

Comment 12 Fedora End Of Life 2017-02-28 09:44:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 13 Florian Weimer 2017-05-15 11:07:51 UTC
Carlos posted a patch upstream:

https://sourceware.org/ml/libc-alpha/2017-05/msg00335.html

Comment 14 Fedora End Of Life 2018-05-03 08:18:39 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Florian Weimer 2018-05-03 08:34:33 UTC
This was implemented in glibc 2.27 and made it into Fedora 28.


Note You need to log in before you can comment on or make changes to this bug.